Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
roles
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Roles.UpdateAsync(
            id: "id",
            request: new UpdateRoleRequestContent()
        );
    }

}
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the role to update.

Body

name
string

Name of this role.

description
string

Description of this role.

Response

Role successfully updated.

id
string

ID for this role.

name
string

Name of this role.

description
string

Description of this role.